Bug 119260 - kickstart install from hd fails at the end, when configuring network interface
kickstart install from hd fails at the end, when configuring network interface
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-03-27 19:29 EST by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 9.92-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-21 10:24:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2004-03-27 19:29:34 EST
A kickstart from a local ext3 filesystem that should set up a network

network --device eth0 --bootproto dhcp --hostname livre

throws an exception and offers to start the debugger.  The same
kickstart file works for an NFS install.

Version-Release number of selected component (if applicable):
anaconda-9.91-6 (not entirely sure about this; it was the anaconda in
rawhide before 9.91-7)

How reproducible:
Didn't try
Comment 1 Jeremy Katz 2004-03-29 11:48:40 EST
What's the exception?  
Comment 2 Alexandre Oliva 2004-03-29 14:37:28 EST
Erhm...  I thought I'd added more info about the exception to the bug
report.  Unfortunately, I've already thrown away my notes :-(  IIRC,
the problem was that device == "eth0" had klass == None.  I *think*
this was in pumpNetDevice, but I don't think I even took note of that :-(

If I had to guess, I'd say that, since it was doing a kickstart from
hd, it didn't bring up the network modules, so when it attempted to
figure out what module it needed to config the device, it didn't have
the info.  But this would be a very wild guess :-)
Comment 3 Jeremy Katz 2004-04-15 13:46:53 EDT
Okay, I think I fixed this in CVS then.
Comment 4 Alexandre Oliva 2004-04-21 10:24:51 EDT
Confirmed, thanks!

Note You need to log in before you can comment on or make changes to this bug.